Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.pdfclown.tokens
Enum XRefEntry.UsageEnum

    java.lang.Object
      java.lang.Enum<XRefEntry.UsageEnum>
          org.pdfclown.tokens.XRefEntry.UsageEnum

All Implemented Interfaces:
  Serializable, Comparable<XRefEntry.UsageEnum>

Enclosing class:
  XRefEntry

    public static enum XRefEntry.UsageEnum

extends Enum<XRefEntry.UsageEnum>

Cross-reference table entry usage [PDF:1.6:3.4.3].

Enum Constant Summary
`Free` Free entry.
`InUse` Ordinary (uncompressed) object entry.
`InUseCompressed` Compressed object entry [PDF:1.6:3.4.6].

Method Summary
`static XRefEntry.UsageEnum` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static XRefEntry.UsageEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Free

    public static final XRefEntry.UsageEnum Free

  Free entry.

### InUse

    public static final XRefEntry.UsageEnum InUse

  Ordinary (uncompressed) object entry.

### InUseCompressed

    public static final XRefEntry.UsageEnum InUseCompressed

  Compressed object entry [PDF:1.6:3.4.6].

Method Detail

### values

    public static XRefEntry.UsageEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (XRefEntry.UsageEnum c : XRefEntry.UsageEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static XRefEntry.UsageEnum valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.